Уважаемые пользователи!
Напоминаем, что с 7 ноября 2020 года phpBB Group прекращает поддержку phpBB версии 3.2.
Сайт официальной русской поддержки phpBB Guru продолжит поддержку phpBB 3.2 до 31 декабря 2020 года.
С учетом этого, а также того, что версия 3.2.x больше не будет получать обновлений, за исключением связанных с проблемами безопасности
(только при их наличии и только до 7 ноября 2020 года), рекомендуется обновить конференции до версии 3.3.x.

[3.3] Несовместимые расширения

Проблемы с установкой или работой phpBB 3.3.x? Получите помощь здесь!
Правила форума
Местная Конституция | Шаблон запроса | Документация (phpBB3) | Мини [FAQ] по phpBB 3.1.x/3.2.x | FAQ | Как задавать вопросы | Как устанавливать расширения

Ваш вопрос может быть удален без объяснения причин, если на него есть ответы по приведённым ссылкам (а вы рискуете получить предупреждение ;) ).
Аватара пользователя
rxu
phpBB Guru
phpBB Guru
Сообщения: 15514
Стаж: 15 лет 4 месяца
Откуда: Красноярск
Благодарил (а): 418 раз
Поблагодарили: 1860 раз

[3.3] Несовместимые расширения

Сообщение rxu »

Каталог несовместимых с phpBB 3.3 на настоящий момент расширений.Тестировалось в связке phpBB 3.3 / PHP 7.4.
Принимаются добавления в список (с описанием того, что не работает).
Изображение
Перенесено из форума Анонсы и поддержка расширений для phpBB в форум Поддержка phpBB 3.3.x 12.01.2020 10:47 модератором rxu

xaocZ
phpBB 1.4.2
Сообщения: 66
Стаж: 8 лет 4 месяца
Благодарил (а): 7 раз
Поблагодарили: 28 раз

Re: [3.3] Несовместимые расширения

Сообщение xaocZ »

MasterX, там отсутствует закрывающий тег </span> сразу после {{ lang('WELSHPAUL_DISPLAY_TITLE') }}.
phpbb 3.3
MasterX
phpBB 1.4.1
Сообщения: 46
Стаж: 1 год 6 месяцев
Благодарил (а): 9 раз
Поблагодарили: 4 раза

Re: [3.3] Несовместимые расширения

Сообщение MasterX »

xaocZ писал(а): 21.04.2020 19:57 MasterX, там отсутствует закрывающий тег </span> сразу после {{ lang('WELSHPAUL_DISPLAY_TITLE') }}.
добавил в шаблон, ничего не поменялось.... Кэш чистил
Аватара пользователя
Warlock75
Former team member
Сообщения: 1421
Стаж: 13 лет 7 месяцев
Откуда: Москва
Благодарил (а): 49 раз
Поблагодарили: 96 раз

Re: [3.3] Несовместимые расширения

Сообщение Warlock75 »

Расширение Knowledge Base - Библиотека работает после изменений в файлах config/services.yml и config/tables.yml. Учтите, что в первом сообщении темы версия для 3.1. Версия для 3.2 по ссылке.
Исправленный файл во вложении.
Вложения
tables.zip
(288 байт) 89 скачиваний
services.zip
(916 байт) 89 скачиваний
Внимательно изучаем форум и чиаем FAQ. 95% всех ответов на возможные вопросы там уже есть!

Правила
Мини FAQ по phpBB 3.1.x/3.2.x
Как устанавливать расширения
Аватара пользователя
Warlock75
Former team member
Сообщения: 1421
Стаж: 13 лет 7 месяцев
Откуда: Москва
Благодарил (а): 49 раз
Поблагодарили: 96 раз

Re: [3.3] Несовместимые расширения

Сообщение Warlock75 »

Расширение phpBB Gallery Extension работает на 3.3.0. Решение тут
cher
phpBB 1.4.2
Сообщения: 52
Стаж: 12 лет 3 месяца
Откуда: Москва
Благодарил (а): 6 раз
Поблагодарили: 1 раз

Re: [3.3] Несовместимые расширения

Сообщение cher »

Расширение "Navlinks in Header" не работает правильно на версии 3.3 (оно включается, ошибок не выдает - но и ссылку не показывает хотя она есть и активна ). Файл services.yml был исправлен в соответствии с рекомендациями. Подскажите пожалуйста в чем может быть ошибка ( расширение очень нужно). Стиль стоит Blue ( на просильвире тоже не работает - проверил).
Последний раз редактировалось cher 27.05.2020 15:39, всего редактировалось 1 раз.
Аватара пользователя
rxu
phpBB Guru
phpBB Guru
Сообщения: 15514
Стаж: 15 лет 4 месяца
Откуда: Красноярск
Благодарил (а): 418 раз
Поблагодарили: 1860 раз

Re: [3.3] Несовместимые расширения

Сообщение rxu »

Ссылку на расширение дайте.
Изображение
cher
phpBB 1.4.2
Сообщения: 52
Стаж: 12 лет 3 месяца
Откуда: Москва
Благодарил (а): 6 раз
Поблагодарили: 1 раз

Re: [3.3] Несовместимые расширения

Сообщение cher »

Расширение брал отсюда https://github.com/AlexSheer/phpbb3.1-Navlinks
До обновления форума ( на версии 3.2.9 оно работало нормально).
Аватара пользователя
rxu
phpBB Guru
phpBB Guru
Сообщения: 15514
Стаж: 15 лет 4 месяца
Откуда: Красноярск
Благодарил (а): 418 раз
Поблагодарили: 1860 раз

Re: [3.3] Несовместимые расширения

Сообщение rxu »

cher, вы config.yml выше привели от совсем другого расширения.
Изображение
cher
phpBB 1.4.2
Сообщения: 52
Стаж: 12 лет 3 месяца
Откуда: Москва
Благодарил (а): 6 раз
Поблагодарили: 1 раз

Re: [3.3] Несовместимые расширения

Сообщение cher »

Ой, блин! Действительно... спасибо что ткнули носом. Откуда оно у меня взялось?
Взял расширение из вышеприведенной ссылки https://github.com/AlexSheer/phpbb3.1-Navlinks- поправил config.yml и все заработало!
( еще бы понять как цвет текста ссылки поменять...). спасибо за помощь!
Egorundel
phpBB 1.0.0
Сообщения: 3
Стаж: 1 год 2 месяца
Благодарил (а): 1 раз

Re: [3.3] Несовместимые расширения

Сообщение Egorundel »

cher писал(а): 27.05.2020 15:29 Ой, блин! Действительно... спасибо что ткнули носом. Откуда оно у меня взялось?
Взял расширение из вышеприведенной ссылки https://github.com/AlexSheer/phpbb3.1-Navlinks- поправил config.yml и все заработало!
( еще бы понять как цвет текста ссылки поменять...). спасибо за помощь!
А что именно поправили?
Egorundel
phpBB 1.0.0
Сообщения: 3
Стаж: 1 год 2 месяца
Благодарил (а): 1 раз

Re: [3.3] Несовместимые расширения

Сообщение Egorundel »

VPN писал(а): 14.01.2020 20:48 Не работают расширения:
First post on every page
Как-то добились того, чтобы оно заработало?
Аватара пользователя
Татьяна5
Поддержка
Поддержка
Сообщения: 10692
Стаж: 10 лет 1 месяц
Благодарил (а): 186 раз
Поблагодарили: 3020 раз

Re: [3.3] Несовместимые расширения

Сообщение Татьяна5 »

Egorundel, Вышел phpBB 3.3.0 [обсуждаем] - во многих расширениях принцип такой
Аватара пользователя
имилия
phpBB 1.4.1
Сообщения: 44
Стаж: 1 год 8 месяцев
Благодарил (а): 17 раз

Re: [3.3] Несовместимые расширения

Сообщение имилия »

Добрый вечер! Подскажите пожалуйста, поставила расширение, но потом его удалила, я думала совсем другое о нем, а это расширение не то что мне надо было, после удаления показывается ошибка, как ее можно исправить? Хотя после установки ошибок форум не показывал, а после удаления расширения extnews появилась вот такое, на хостинге этих файлов уже нет, я переустанавливала расширение все равно, как или где можно удалить это сообщение несовместимости? Форум phbb 3.3.0 RC1.
Вложения
Screenshot_2020-10-25 Управление расширениями.png
(4.63 КБ) 0 скачиваний
Аватара пользователя
rxu
phpBB Guru
phpBB Guru
Сообщения: 15514
Стаж: 15 лет 4 месяца
Откуда: Красноярск
Благодарил (а): 418 раз
Поблагодарили: 1860 раз

Re: [3.3] Несовместимые расширения

Сообщение rxu »

имилия писал(а): 25.10.2020 17:24 поставила расширение, но потом его удалила
Простым удалением файлов расширения не удаляются. Прямо на странице управления расширениями внизу приведена инструкция по удалению.
Изображение
Аватара пользователя
имилия
phpBB 1.4.1
Сообщения: 44
Стаж: 1 год 8 месяцев
Благодарил (а): 17 раз

Re: [3.3] Несовместимые расширения

Сообщение имилия »

rxu писал(а): 25.10.2020 18:21 Простым удалением файлов расширения не удаляются. Прямо на странице управления расширениями внизу приведена инструкция по удалению.
Я так и сделала, уже был опыт, поэтому делаю только так, как по инструкцию там написано и вот откуда-то появилась, я так понимаю это не исправить?

Вернуться в «Поддержка phpBB 3.3.x»